Get Birdeye Impressions
curl --request POST \
--url https://api.birdeye.com/resources/v1/business/{businessNumber}/birdeye/impressions \
--header 'Content-Type: application/json' \
--data '
{
"businessNumbers": [
147286063579104,
147286063579108
],
"startDate": "2022-11-23",
"endDate": "2023-11-23",
"limit": 5,
"order": "desc",
"sortby": "location",
"startIndex": 0
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/{businessNumber}/birdeye/impressions"
payload = {
"businessNumbers": [147286063579104, 147286063579108],
"startDate": "2022-11-23",
"endDate": "2023-11-23",
"limit": 5,
"order": "desc",
"sortby": "location",
"startIndex": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
businessNumbers: [147286063579104, 147286063579108],
startDate: '2022-11-23',
endDate: '2023-11-23',
limit: 5,
order: 'desc',
sortby: 'location',
startIndex: 0
})
};
fetch('https://api.birdeye.com/resources/v1/business/{businessNumber}/birdeye/impressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 300178,
"locations": [
{
"locationName": "Natick House of Prom",
"count": "87"
},
{
"locationName": "Kansas City House of Prom",
"count": "265"
},
{
"locationName": "Glendale House of Prom House of Prom",
"count": "158"
},
{
"locationName": "Fairfax House of Prom",
"count": "355"
},
{
"locationName": "David's Bridal - Corporate Office",
"count": "2546"
}
]
}{
"code": 2292,
"message": "sortby can only be 'total' or 'location'"
}{
"code": 1161,
"message": "Invalid API key"
}Business
Get Birdeye Impressions
Returns only birdeye (source: website) impressions by location as well as total.
POST
/
v1
/
business
/
{businessNumber}
/
birdeye
/
impressions
Get Birdeye Impressions
Headers
e.g. application/json
e.g. - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Account Business Number.
Body
application/json
list of the unique business ids associated with a business eg: [123456789, 987656789]
yyyy-MM-dd eg: "2020-11-10"
yyyy-MM-dd eg: "2020-11-10"
page size. default: 25
default: 0
"location" or "total" default: total.
"asc" or "desc" default: desc
Response
OK
⌘I